Subject: [Geopriv] additional label to PIDF-LO

From: [email-masked]
Date: Mon, 11 Apr 2005 21:54:58 -0400 (EDT)

Hi Jon,

I'd like propose an additional label "additional code" to the civil
location information in the PIDF-LO. I hope this is not too late.

As you see in the I-D, draft-arai-ecrit-japan-req-00, we need a label for
expressing additional code other than postal code, such as Japan Industry
Standard (JIS) address code. The address code provides a unique address
inside of Japan, down to the level of indicating the floor of the
building.

Here is my proposal, as you can see I modified the descriptions to
indicate its usage in Japan and to include the additonal code.

Label:		A4
Description: 	city division, borough, city district, ward, cho (JP)
Example:	Manhattan

Label:		A5
Description:	neighborhood, block, chome (JP)
Example:	Morningside Heights

Label:		A6
Description:	street, banchi and  gou (JP)
Example:	Broadway

Label: 		AC
Description:	Additional code, JIS address code (JP)
Example:	13203000003

The following is an example of the civil locaiton information.

   <?xml version="1.0" encoding="UTF-8"?>
    <presence xmlns="urn:ietf:params:xml:ns:pidf"
       xmlns:gp="urn:ietf:params:xml:ns:pidf:geopriv10"
       xmlns:cl=" urn:ietf:params:xml:ns:pidf:geopriv10:civilLoc"
       entity="pres:[email-masked]">
     <tuple id="sg89ae">
      <status>
       <gp:geopriv>
         <gp:location-info>
           <cl:civilAddress>
             <cl:country>JP</cl:country>
             <cl:A1>Tokyo</cl:A1>
             <cl:A3>Musashino-shi</cl:A3>
             <cl:A4>Midori-cho</cl:A4>
             <cl:A5>3-chome</cl:A5>
             <cl:A6>9-11</cl:A6>
             <cl:PC>180-8585</cl:PC>
             <cl:AC>13203000003</cl:AC>
           </cl:civilAddress>
         </gp:location-info>
         <gp:usage-rules>
           <gp:retransmission-allowed>yes</gp:retransmission-allowed>
           <gp:retention-expiry>2003-06-23T04:57:29Z</gp:retention-expiry>
         </gp:usage-rules>
       </gp:geopriv>
      </status>
      <timestamp>2003-06-22T20:57:29Z</timestamp>
     </tuple>
    </presence>

If you think there is a better way than adding a new label, please let me
know.

Thanks,
Kumiko

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv